<template lang="pug">
div(class="logo")
  a(:href="localePath('/')" v-if="this.hostname === 'foobar.kz'" :title="this.hostname")
    LogoFoobar()/
  a(:href="localePath('/')" :title="this.hostname" v-else)
    LogoDevnet()/
</template>

<script>
import LogoDevnet from "~/assets/svg/logo-devnet.svg?inline";
import LogoFoobar from "~/assets/svg/foobar-logo-v1.svg?inline";

export default {
  name:       "Logo",
  components: {
    LogoDevnet,
    LogoFoobar,
  },
  data() {
    return {
      hostname: this.$root.$hostname
    }
  },
}
</script>

<style lang="scss" scoped>
.logo {
  
  a {
    @apply
    text-gray-600
    dark:text-gray-200
    ;
    
    svg {
      @apply
      h-8
      inline-block
      fill-current
      mr-1
      pb-5
      ;
    }
  }
}
</style>